int servoPhase = 0;
volatile int servoDirection = S1_CENTER;

/**
 * turns servo
 */ 
#define turnServo(direction) { servoDirection = direction; }

/**
 * SERVO_TIMER interrupt
 */ 
void handleServo() {
	SERVO_TIMER = 10;
	servoPhase++;
	
	if (servoPhase == servoDirection) {
		servoOff();
	}
	
	if (servoPhase == 1280) {
    servoOn();

		servoPhase = 0;
	}
}

ISR(SERVO_TIMER_OVF) {
	handleServo();
}
